local assets=
{
	Asset("ANIM", "anim/butlersuit.zip"),
}


local function fn(Sim)
	
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
    local sound = inst.entity:AddSoundEmitter()
    anim:SetBank("lantern")
    anim:SetBuild("butlersuit")
        inst.AnimState:PlayAnimation("idle_off")
    MakeInventoryPhysics(inst)
	
	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/butlersuit.xml"
	-----------------------------------
	
	inst:AddComponent("inspectable")

    return inst
end


return Prefab( "common/inventory/butlersuit", fn, assets) 
