local assets=
{
	Asset("ANIM", "anim/firestuff.zip"),
}

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
    
    MakeInventoryPhysics(inst)

    inst.AnimState:SetBank("log")
    inst.AnimState:SetBuild("firestuff")
    inst.AnimState:PlayAnimation("idle")
  

    ---------------------       
    
    inst:AddComponent("inspectable")
    
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/firestuff.xml"
    
    return inst
end

return Prefab( "common/inventory/firestuff", fn, assets) 

