local assets=
{
	Asset("ANIM", "anim/hauntedclock.zip"),
}


local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
    inst.entity:AddSoundEmitter()        
    MakeInventoryPhysics(inst)
    
    inst.AnimState:SetBank("lantern")
    inst.AnimState:SetBuild("hauntedclock")
    inst.AnimState:PlayAnimation("idle_off")

    -- anim:SetBank("lantern")
    -- anim:SetBuild("hauntedclock")
    -- anim:PlayAnimation("idle_off")


    inst:AddComponent("inspectable")
    
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/hauntedclock.xml"

    return inst
end


return Prefab( "common/inventory/hauntedclock", fn, assets) 
