
local Assets =
{
	Asset("ANIM", "anim/hat_robot.zip"),
 Asset("IMAGE", "images/inventoryimages/robothat.tex"),
 Asset("ATLAS", "images/inventoryimages/robothat.xml"),  
}

local function onperish(inst)

	inst:Remove()
end

local splodechance = 0.2
local function onattacked(attacked, data)
    if math.random() < splodechance then
        if data and data.attacker then
            data.attacker.components.health:DoDelta(-15)
        end
        if data and data.attacker and data.attacker.components.burnable then
            data.attacker.components.burnable:Ignite(true)
        end
    end
end

local function OnBlocked(inst,owner, target) 
    owner.SoundEmitter:PlaySound("dontstarve/wilson/hit_armour")
    owner.SoundEmitter:PlaySound("dontstarve/characters/wx78/hurt")
        end

    local function onequip(inst, owner)

        owner.AnimState:OverrideSymbol("swap_hat", "hat_robot", "swap_hat")
        owner.AnimState:Show("HAT")
        owner.AnimState:Hide("HAT_HAIR")
        owner.AnimState:Hide("HAIR_NOHAT")
        owner.AnimState:Hide("HAIR")
	owner.components.talker.colour = Point(210/255, 195/255, 130/255) -- (r, g, b)
			owner.talksoundoverride = "dontstarve/characters/wx78/talk_LP"
     inst:ListenForEvent("blocked", OnBlocked, owner)
     inst:ListenForEvent("attacked", onattacked, owner)
 
        if owner:HasTag("player") then
			owner.AnimState:Hide("HEAD")
			owner.AnimState:Hide("HEAD_HAIR")
		end
        
		if inst.components.fueled then
			inst.components.fueled:StartConsuming()        
		end
    end


    local function onunequip(inst, owner)

        owner.AnimState:Hide("HAT")
        owner.AnimState:Hide("HAT_HAIR")
        owner.AnimState:Show("HAIR_NOHAT")
        owner.AnimState:Show("HAIR")
    inst:RemoveEventCallback("blocked", OnBlocked, owner)
    inst:RemoveEventCallback("attacked", onattacked, owner)
	owner.components.talker.colour = Point(245/255, 245/255, 245/255) -- (r, g, b)
		if owner:HasTag("player") then
	        owner.AnimState:Show("HEAD")
			owner.AnimState:Hide("HEAD_HAIR")
		end

		if inst.components.fueled then
			inst.components.fueled:StopConsuming()        
		end

		if inst.components.fueled then
			inst.components.fueled:StopConsuming()        
		end

	if owner.components.sanity:IsSane() then  
			owner.talksoundoverride = "dontstarve/characters/william/talk_LP"
	else
			owner.talksoundoverride = "dontstarve/characters/william2/talk_LP"
        
		end
    end

    local function miner_drop(inst)

    end

local function fn(Sim)
        local inst = CreateEntity()

        inst.entity:AddTransform()
        inst.entity:AddAnimState()
        MakeInventoryPhysics(inst)

        inst.AnimState:SetBank("footballhat")
        inst.AnimState:SetBuild("hat_robot")
        inst.AnimState:PlayAnimation("anim")
    
    inst:AddTag("sanity")
    inst:AddTag("metal")

        inst:AddComponent("inspectable")

  
        inst:AddComponent("inventoryitem")
        inst.components.inventoryitem.atlasname = "images/inventoryimages/robothat.xml"
        inst.components.inventoryitem:SetOnDroppedFn( miner_drop )

    inst:AddComponent("dapperness")
    inst.components.dapperness.dapperness = TUNING.DAPPERNESS_MED,

	inst:AddComponent("insulator")
    inst.components.insulator.insulation = TUNING.INSULATION_MED

        inst:AddComponent("equippable")
        inst.components.equippable.equipslot = EQUIPSLOTS.HEAD

    inst:AddComponent("armor")
    inst.components.armor:InitCondition(TUNING.ARMORMARBLE, TUNING.ARMOR_FOOTBALLHAT_ABSORPTION*1.0625)

        inst.components.equippable:SetOnEquip( onequip )

        inst.components.equippable:SetOnUnequip( onunequip )
        return inst
end


return Prefab( "common/inventory/robothat", fn, Assets)


