local require = GLOBAL.require
local SpawnPrefab = GLOBAL.SpawnPrefab
--
require "class"

local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local STRINGS = GLOBAL.STRINGS
local ACTIONS = GLOBAL.ACTIONS
local Action = GLOBAL.Action
        TECH = GLOBAL.TECH

GLOBAL.STRINGS.CHARACTER_NAMES.WIL = "William J. Danninghar"

GLOBAL.STRINGS.NAMES.BOOK_ROBOTW = "Butler Blueprints"
GLOBAL.STRINGS.RECIPE_DESC.BOOK_ROBOTW = "Give an innocent rabbit some wicked attire!"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.BOOK_ROBOTW = "Hopefully the rabbit doesn't want revenge. He is controlling this thing, after all!"

GLOBAL.STRINGS.NAMES.WILLIAMROBOT = "Mechanical Butler"

GLOBAL.STRINGS.NAMES.BOOK_ROBOTR = "Reaper Blueprints"
GLOBAL.STRINGS.RECIPE_DESC.BOOK_ROBOTR = "Destroys it's foes with the power of insanity!"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.BOOK_ROBOTR = "One of my best inventions yet!"

GLOBAL.STRINGS.NAMES.SHADOWGUN = "De-life-inator"
GLOBAL.STRINGS.RECIPE_DESC.SHADOWGUN = "Opens rather HANDY tears in space!"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.SHADOWGUN = "The tear is not strong enough for them to fully enter this world."

GLOBAL.STRINGS.NAMES.REAPERROBOT = "Mechanical Reaper"

GLOBAL.STRINGS.NAMES.BOOK_ROBOTE = "Brute Blueprints"
GLOBAL.STRINGS.RECIPE_DESC.BOOK_ROBOTE = "Even YOU are an insect in comparison!"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.BOOK_ROBOTE = "Remember, Will: Don't let him step on your toes."

GLOBAL.STRINGS.NAMES.BRUTEROBOT = "Mechanical Brute"

GLOBAL.STRINGS.NAMES.WROBOTSWORD = "Pointy Wrench"
GLOBAL.STRINGS.RECIPE_DESC.WROBOTSWORD = "Careful not to cut your finger!"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.WROBOTSWORD = "It's heavy enough to smash anything!"

GLOBAL.STRINGS.NAMES.ROBOTHAT = "Hot-Head's Braincase"
GLOBAL.STRINGS.RECIPE_DESC.ROBOTHAT = "*WARNING* May make your head hot."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.ROBOTHAT = "Sure am glad I got over my finger-biting habbit!"

GLOBAL.STRINGS.NAMES.SROBOTSWORD = "Nightmare Wrench"
GLOBAL.STRINGS.RECIPE_DESC.SROBOTSWORD = "Bash things over the head with nightmares!"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.SROBOTSWORD = "What have I created?"

STRINGS.CROW_BATTLECRY = { "DESTROY", "EXTERMINATE", "I AM GOING *caw*TO FIX YOU", "YOU ARE ABHORRENT *caw* TO US." }

STRINGS.NAMES.INSANEPOTION = "Concentrated Nightmare Fuel"
STRINGS.RECIPE_DESC.INSANEPOTION = "Is this really a good idea?"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.INSANEPOTION = "I'm beginning to have second thoughts about this..."


STRINGS.NAMES.WILLIAMSTATUE = "B-B-2-L System"
STRINGS.RECIPE_DESC.WILLIAMSTATUE = "Bringy-Backy-2-Life! The power of blood!"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.WILLIAMSTATUE = "If this creates an exact copy of me. Is it still really me?"

STRINGS.NAMES.SANITYPOTION = "Bottle of happiness"
STRINGS.RECIPE_DESC.SANITYPOTION = "Smells like unicorn farts, tastes like pie!"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.SANITYPOTION = "The foul stench coming from it somehow makes me feel relaxed."

STRINGS.NAMES.ARMORROBOTSHIELDW = "Mechanic's Back-up"
STRINGS.RECIPE_DESC.ARMORROBOTSHIELDW = "Stong, extendable, metal plates!"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.ARMORROBOTSHIELDW = "It's a very simple design. But very effective!"

STRINGS.NAMES.FIRESWORD = "Heart of Phlogiston"
STRINGS.RECIPE_DESC.FIRESWORD = "Carve and cook! Perfect for barbecues!"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.FIRESWORD = "Hot, heavy, and dangerous. I'm sweating already."

STRINGS.NAMES.FIREARMOR = "Pyromaniac's Evening Wear"
STRINGS.RECIPE_DESC.FIREARMOR = "Absorbs fire, leaving you unscathed!"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.FIREARMOR = "It burns my hands to hold it for too long."

STRINGS.NAMES.BRONZEBLADE = "Heavy Golden Blade"
STRINGS.RECIPE_DESC.BRONZEBLADE = "Reinforced blades of gold!"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.BRONZEBLADE = "Not very effective on their own. Perhaps I could use them to make something bigger."

STRINGS.NAMES.MECHANICPARTS = "Mechanical What-Not"
STRINGS.RECIPE_DESC.MECHANICPARTS = "Houses one controlling critter."
STRINGS.CHARACTERS.GENERIC.DESCRIBE.MECHANICPARTS = "Now it just needs a shell and the machine will be complete!"

STRINGS.NAMES.BUTLERSUITC = "Almost-complete Butler"
STRINGS.RECIPE_DESC.BUTLERSUITC = "Give an innocent rabbit some wicked attire!"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.BUTLERSUITC = "Now to put the rabbit in."

STRINGS.NAMES.BUTLERSUIT = "Butler  Shell"
STRINGS.RECIPE_DESC.BUTLERSUIT = "A lifeless shell."
STRINGS.CHARACTERS.GENERIC.DESCRIBE.BUTLERSUIT = "The trunk will provide durable and flexible joints!"

STRINGS.NAMES.BRUTESUIT = "Brute  Shell"
STRINGS.RECIPE_DESC.BRUTESUIT = "Boy, is it heavy!"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.BRUTESUIT = "I had to make the joints extra strong. These reeds seemed to work well!"

STRINGS.NAMES.REAPERSUIT = "Reaper Shell"
STRINGS.RECIPE_DESC.REAPERSUIT = "Nothing special about it...yet."
STRINGS.CHARACTERS.GENERIC.DESCRIBE.REAPERSUIT = "The teeth will do nicely as claws."

STRINGS.NAMES.GUNPARTS = "Flintlock Mechanism"
STRINGS.RECIPE_DESC.GUNPARTS = "Barrel included."
STRINGS.CHARACTERS.GENERIC.DESCRIBE.GUNPARTS = "Time for some firepower!"

STRINGS.NAMES.BULLETGUN = "Flintlock Pistol"
STRINGS.RECIPE_DESC.BULLETGUN = "Pull the trigger to make things die."
STRINGS.CHARACTERS.GENERIC.DESCRIBE.BULLETGUN = "I used to own one just like this! \n It was probably more stable."

STRINGS.NAMES.BRUTESUITC = "Almost-Complete Brute"
STRINGS.RECIPE_DESC.BRUTESUITC = "Even YOU are an insect in comparison!"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.BRUTESUITC = "Best not let it step on my toes."

STRINGS.NAMES.REAPERSUITC = "Almost-Complete Reaper"
STRINGS.RECIPE_DESC.REAPERSUITC = "These claws were made for killin'!"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.REAPERSUITC = "Nightmare Fuel is amazing stuff!"

STRINGS.NAMES.HAUNTEDCLOCK = "Haunted Clockworks"
STRINGS.RECIPE_DESC.HAUNTEDCLOCK = "Nigthmare Fuel makes everything better!"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.HAUNTEDCLOCK = "The gears are sparking with...stuff... \n Sorry, I had a mind blank. What was I saying?"

STRINGS.NAMES.FIRESTUFF = "Elemental mixererer"
STRINGS.RECIPE_DESC.FIRESTUFF = "Elements sold seperately."
STRINGS.CHARACTERS.GENERIC.DESCRIBE.FIRESTUFF = "Simply adding a gem will change the elemental properties of the fuel inside!"

PrefabFiles = {
	"wil",
	"williamrobot",
	"book_robotw",
	"book_robote",
	"book_robotr",
	"armorrobotshieldw",
	"reaperrobot",
	"bruterobot",
	"gears",
	"wrobotsword",
	"srobotsword",
	"insanepotion",
	"sanitypotion",
	"williamstatue",
	"robothat",
	"littlerobot",
	"firearmor",
	"firesword",
	"bronzeblade",
	"butlersuit",
	"butlersuitc",
	"mechanicparts",
	"brutesuit",
	"brutesuitc",
	"hauntedclock",
	"reapersuit",
	"reapersuitc",
	"firestuff",
	"shadowgun",
	"bulletgun",
	"shadowclaw",
	"gun_projectile",
	"gunparts",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/wil.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/wil.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/wil.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/wil.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/wil_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/wil_silho.xml" ),

    Asset( "IMAGE", "bigportraits/wil.tex" ),
    Asset( "ATLAS", "bigportraits/wil.xml" ),

	Asset( "ATLAS", "images/inventoryimages/firesword.xml" ),
	Asset( "IMAGE", "images/inventoryimages/firesword.tex" ),

	Asset( "ATLAS", "images/inventoryimages/book_robotw.xml" ),
	Asset( "IMAGE", "images/inventoryimages/book_robotw.tex" ),

	Asset( "ATLAS", "images/inventoryimages/book_robotr.xml" ),
	Asset( "IMAGE", "images/inventoryimages/book_robotr.tex" ),

	Asset( "ATLAS", "images/inventoryimages/book_robote.xml" ),
	Asset( "IMAGE", "images/inventoryimages/book_robote.tex" ),

	Asset( "ATLAS", "images/inventoryimages/wrobotsword.xml" ),
	Asset( "IMAGE", "images/inventoryimages/wrobotsword.tex" ),

	Asset( "ATLAS", "images/inventoryimages/srobotsword.xml" ),
	Asset( "IMAGE", "images/inventoryimages/srobotsword.tex" ),

	Asset( "ATLAS", "images/inventoryimages/insanepotion.xml" ),
	Asset( "IMAGE", "images/inventoryimages/insanepotion.tex" ),

	Asset( "ATLAS", "images/inventoryimages/sanitypotion.xml" ),
	Asset( "IMAGE", "images/inventoryimages/sanitypotion.tex" ),

	Asset( "ATLAS", "images/inventoryimages/armorrobotshieldw.xml" ),
	Asset( "IMAGE", "images/inventoryimages/armorrobotshieldw.tex" ),

	Asset( "ATLAS", "images/inventoryimages/williamstatue.xml" ),
	Asset( "IMAGE", "images/inventoryimages/williamstatue.tex" ),

	Asset( "ATLAS", "images/inventoryimages/robothat.xml" ),
	Asset( "IMAGE", "images/inventoryimages/robothat.tex" ),

	Asset( "ATLAS", "images/inventoryimages/firearmor.xml" ),
	Asset( "IMAGE", "images/inventoryimages/firearmor.tex" ),


	Asset( "ATLAS", "images/inventoryimages/bronzeblade.xml" ),
	Asset( "IMAGE", "images/inventoryimages/bronzeblade.tex" ),

	Asset( "ATLAS", "images/inventoryimages/butlersuit.xml" ),
	Asset( "IMAGE", "images/inventoryimages/butlersuit.tex" ),

	Asset( "ATLAS", "images/inventoryimages/butlersuitc.xml" ),
	Asset( "IMAGE", "images/inventoryimages/butlersuitc.tex" ),

	Asset( "ATLAS", "images/inventoryimages/mechanicparts.xml" ),
	Asset( "IMAGE", "images/inventoryimages/mechanicparts.tex" ),


	Asset( "ATLAS", "images/inventoryimages/hauntedclock.xml" ),
	Asset( "IMAGE", "images/inventoryimages/hauntedclock.tex" ),

	Asset( "ATLAS", "images/inventoryimages/brutesuit.xml" ),
	Asset( "IMAGE", "images/inventoryimages/brutesuit.tex" ),

	Asset( "ATLAS", "images/inventoryimages/brutesuitc.xml" ),
	Asset( "IMAGE", "images/inventoryimages/brutesuitc.tex" ),

	Asset( "ATLAS", "images/inventoryimages/reapersuit.xml" ),
	Asset( "IMAGE", "images/inventoryimages/reapersuit.tex" ),

	Asset( "ATLAS", "images/inventoryimages/brutesuitc.xml" ),
	Asset( "IMAGE", "images/inventoryimages/brutesuitc.tex" ),

	Asset( "ATLAS", "images/inventoryimages/reapersuitc.xml" ),
	Asset( "IMAGE", "images/inventoryimages/reapersuitc.tex" ),

	Asset( "ATLAS", "images/inventoryimages/firestuff.xml" ),
	Asset( "IMAGE", "images/inventoryimages/firestuff.tex" ),

	Asset( "ATLAS", "images/inventoryimages/shadowgun.xml" ),
	Asset( "IMAGE", "images/inventoryimages/shadowgun.tex" ),

	Asset( "ATLAS", "images/inventoryimages/bulletgun.xml" ),
	Asset( "IMAGE", "images/inventoryimages/bulletgun.tex" ),

	Asset( "ATLAS", "images/inventoryimages/gunparts.xml" ),
	Asset( "IMAGE", "images/inventoryimages/gunparts.tex" ),




    Asset("SOUNDPACKAGE", "sound/william.fev"),
    Asset("SOUND", "sound/william.fsb"),

    Asset("SOUNDPACKAGE", "sound/william2.fev"),
    Asset("SOUND", "sound/william2.fsb"),

	Asset("IMAGE", "images/william.tex"),
	Asset("ATLAS", "images/william.xml"),

	Asset("IMAGE", "images/williamstatue.tex"),
	Asset("ATLAS", "images/williamstatue.xml"),
}

--Add the new atlas
AddMinimapAtlas("images/william.xml")

AddMinimapAtlas("images/williamstatue.xml")

RemapSoundEvent( "dontstarve/characters/william/death_voice", "william/characters/william/death_voice" )
RemapSoundEvent( "dontstarve/characters/william/hurt", "william/characters/william/hurt" )
RemapSoundEvent( "dontstarve/characters/william/talk_LP", "william/characters/william/talk_LP" )

RemapSoundEvent( "dontstarve/characters/william2/death_voice", "william2/characters/william2/death_voice" )
RemapSoundEvent( "dontstarve/characters/william2/talk_LP", "william2/characters/william2/talk_LP" )

function WilPostInit(wil)


local bronzeblade = Ingredient( "bronzeblade", 2)
bronzeblade.atlas = "images/inventoryimages/bronzeblade.xml"

local mechanicparts = Ingredient( "mechanicparts", 1)
mechanicparts.atlas = "images/inventoryimages/mechanicparts.xml"

local butlersuit = Ingredient( "butlersuit", 1)
butlersuit.atlas = "images/inventoryimages/butlersuit.xml"

local brutesuit = Ingredient( "brutesuit", 1)
brutesuit.atlas = "images/inventoryimages/brutesuit.xml"

local hauntedclock = Ingredient( "hauntedclock", 1)
hauntedclock.atlas = "images/inventoryimages/hauntedclock.xml"

local reapersuit = Ingredient( "reapersuit", 1)
reapersuit.atlas = "images/inventoryimages/reapersuit.xml"

local firestuff = Ingredient( "firestuff", 1)
firestuff.atlas = "images/inventoryimages/firestuff.xml"

local gunparts = Ingredient( "gunparts", 1)
gunparts.atlas = "images/inventoryimages/gunparts.xml"
--Recipes

        local gears = GLOBAL.Recipe("gears",{ Ingredient("flint", 1), Ingredient("goldnugget", 4)},                     
        RECIPETABS.REFINE, {SCIENCE=2} )

        local wrobotswordrecipe = GLOBAL.Recipe( ("wrobotsword"), { Ingredient("goldnugget", 2), Ingredient("gears", 1), Ingredient("twigs", 1)}, RECIPETABS.SCIENCE,  {SCIENCE = 2} )
       wrobotswordrecipe.atlas = "images/inventoryimages/wrobotsword.xml"

        local mechanicpartsrecipe = GLOBAL.Recipe( ("mechanicparts"), { Ingredient("cutgrass", 6), Ingredient("gears", 4), Ingredient("goldnugget", 2)}, RECIPETABS.REFINE,  {SCIENCE = 2} )
       mechanicpartsrecipe.atlas = "images/inventoryimages/mechanicparts.xml"

        local hauntedclockrecipe = GLOBAL.Recipe( ("hauntedclock"), { mechanicparts, Ingredient("nightmarefuel", 4), Ingredient("purplegem", 1)}, RECIPETABS.REFINE,  {MAGIC = 2} )
       hauntedclockrecipe.atlas = "images/inventoryimages/hauntedclock.xml"

        local butlersuitrecipe = GLOBAL.Recipe( ("butlersuit"), { Ingredient("goldnugget", 6), Ingredient("trunk_summer", 1), Ingredient("cutreeds", 3)}, RECIPETABS.REFINE,  {SCIENCE = 2} )
       butlersuitrecipe.atlas = "images/inventoryimages/butlersuit.xml"

        local reapersuitrecipe = GLOBAL.Recipe( ("reapersuit"), { Ingredient("goldnugget", 8), Ingredient("houndstooth", 5), Ingredient("papyrus", 4)}, RECIPETABS.REFINE,  {MAGIC = 2} )
       reapersuitrecipe.atlas = "images/inventoryimages/reapersuit.xml"

        local brutesuitrecipe = GLOBAL.Recipe( ("brutesuit"), { Ingredient("goldnugget", 11), Ingredient("trunk_summer", 1), Ingredient("cutreeds", 4)}, RECIPETABS.REFINE,  {SCIENCE = 2} )
       brutesuitrecipe.atlas = "images/inventoryimages/brutesuit.xml"

        local brutesuitcrecipe = GLOBAL.Recipe( ("brutesuitc"), {mechanicparts, brutesuit, Ingredient("seeds", 2)}, RECIPETABS.SCIENCE,  {SCIENCE = 2} )
       brutesuitcrecipe.atlas = "images/inventoryimages/brutesuitc.xml"

        local reapersuitcrecipe = GLOBAL.Recipe( ("reapersuitc"), {hauntedclock, reapersuit, Ingredient("seeds", 3)}, RECIPETABS.MAGIC,  {SCIENCE = 2} )
       reapersuitcrecipe.atlas = "images/inventoryimages/reapersuitc.xml"

        local butlersuitcrecipe = GLOBAL.Recipe( ("butlersuitc"), {mechanicparts, butlersuit, Ingredient("seeds", 2)}, RECIPETABS.SCIENCE,  {SCIENCE = 2} )
       butlersuitcrecipe.atlas = "images/inventoryimages/butlersuitc.xml"

        local srobotswordrecipe = GLOBAL.Recipe( ("srobotsword"), { Ingredient("goldnugget", 2), Ingredient("gears", 1), Ingredient("nightmarefuel", 2)}, RECIPETABS.MAGIC,  {MAGIC = 2} )
       srobotswordrecipe.atlas = "images/inventoryimages/srobotsword.xml"

        local robothatrecipe = GLOBAL.Recipe( ("robothat"), { Ingredient("goldnugget", 6), Ingredient("gears", 2), Ingredient("redgem", 1)}, RECIPETABS.MAGIC,  {MAGIC = 3} )
       robothatrecipe.atlas = "images/inventoryimages/robothat.xml"

        local bronzebladerecipe = GLOBAL.Recipe( ("bronzeblade"), { Ingredient("flint", 2), Ingredient("goldnugget", 5), Ingredient("marble", 1)}, RECIPETABS.REFINE,  {SCIENCE = 2} )
       bronzebladerecipe.atlas = "images/inventoryimages/bronzeblade.xml"

        local firearmorrecipe = GLOBAL.Recipe( ("firearmor"), { Ingredient("goldnugget", 12), Ingredient("gears", 4), Ingredient("heatrock", 1)}, RECIPETABS.MAGIC,  {MAGIC = 3} )
       firearmorrecipe.atlas = "images/inventoryimages/firearmor.xml"

        local firestuffrecipe = GLOBAL.Recipe( ("firestuff"), { Ingredient("compass", 1), Ingredient("gears", 3), Ingredient("nightmarefuel", 3)}, RECIPETABS.REFINE,  {MAGIC = 2} )
       firestuffrecipe.atlas = "images/inventoryimages/firestuff.xml"

        local fireswordrecipe = GLOBAL.Recipe( ("firesword"), {bronzeblade, firestuff, Ingredient("firestaff", 1)}, RECIPETABS.MAGIC,  {MAGIC = 3} )
       fireswordrecipe.atlas = "images/inventoryimages/firesword.xml"

        local gunpartsrecipe = GLOBAL.Recipe( ("gunparts"), {Ingredient("goldnugget", 2), Ingredient("gears", 1),Ingredient("flint", 1)}, RECIPETABS.REFINE,  {SCIENCE = 1} )
       gunpartsrecipe.atlas = "images/inventoryimages/gunparts.xml"

        local shadowgunrecipe = GLOBAL.Recipe( ("shadowgun"), { firestuff, Ingredient("livinglog", 1), Ingredient("goldnugget", 4)}, RECIPETABS.MAGIC,  {MAGIC = 3} )
       shadowgunrecipe.atlas = "images/inventoryimages/shadowgun.xml"

        local bulletgunrecipe = GLOBAL.Recipe( ("bulletgun"), { gunparts, Ingredient("log", 1), Ingredient("houndstooth", 2)}, RECIPETABS.WAR,  {SCIENCE = 1} )
       bulletgunrecipe.atlas = "images/inventoryimages/bulletgun.xml"

        local williamstatue = GLOBAL.Recipe("williamstatue",{ Ingredient("goldnugget", 4), Ingredient("gears", 1), Ingredient("mosquitosack", 1)},                     
        RECIPETABS.SCIENCE,  {MAGIC = 2}, "williamstatue_placer" ) 
        williamstatue.atlas = "images/inventoryimages/williamstatue.xml"

  	local insanepotion = GLOBAL.Recipe( "insanepotion", { Ingredient("nightmarefuel", 3), Ingredient("ash", 2) }, RECIPETABS.MAGIC, {SCIENCE=2})
	insanepotion.atlas = "images/inventoryimages/insanepotion.xml"	

  	local sanitypotion = GLOBAL.Recipe( "sanitypotion", { Ingredient("petals", 6), Ingredient("butterflywings", 1) }, RECIPETABS.MAGIC, {SCIENCE=2})
	sanitypotion.atlas = "images/inventoryimages/sanitypotion.xml"

        local armorrobotshieldw = GLOBAL.Recipe( ("armorrobotshieldw"), { Ingredient("goldnugget", 10), Ingredient("gears", 3), Ingredient("rope", 5)}, RECIPETABS.SCIENCE,  {SCIENCE = 2} )
       armorrobotshieldw.atlas = "images/inventoryimages/armorrobotshieldw.xml"
end

AddSimPostInit(function(inst)
        if inst.prefab == "wil" then
                WilPostInit(inst)
        end
end)


GetPlayer = GLOBAL.GetPlayer


table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "wil")

-------------------------------------------------------------

local function ModMaxwellIntro(inst)
    if GLOBAL.GetPlayer().prefab == "wil" then
        inst.components.maxwelltalker.speeches.SANDBOX_1 =
        {
            appearsound = "dontstarve/maxwell/appear_adventure",
	    voice = "dontstarve/maxwell/talk_LP_world3",
		appearanim = "appear3",
		idleanim= "idle3_loop",
		dialogpreanim = "dialog3_pre",
		dialoganim="dialog3_loop",
		dialogpostanim = "dialog3_pst",
		disappearanim = "disappear3",
            disableplayer = true,
            skippable = false,
            {
                string = "What are you doing here? Who are you?",
                wait = 3,
                anim = nil,
                sound = nil,
            },
            {
                string = "I wasn't expecting a new plaything!",
                wait = 3,
                anim = nil,
                sound = nil,
            },
            {
                string = "And that smell... just who are you?!",
                wait = 3,
                anim = nil,
                sound = nil,
            },
            {
                string = "I'll have to find out later. I'm very busy, you know!",
                wait = 3,
                anim = nil,
                sound = nil,
            },
            {
                string = "Hopefully I'll be in a better mood next time.",
                wait = 3,
                anim = dialog2_loop,
                sound = nil,
            },
	}

        inst.components.maxwelltalker.speeches.ADVENTURE_1 =
        {
            appearsound = "dontstarve/maxwell/appear_adventure",
	    voice = "dontstarve/maxwell/talk_LP_world1",
		appearanim = "appear2",
		idleanim= "idle2_loop",
		dialogpreanim = "dialog2_pre",
		dialoganim="dialog2_loop",
		dialogpostanim = "dialog2_pst",
		disappearanim = "disappear2",
            disableplayer = true,
            skippable = false,
            {
			string = "I apologize for my behavior earlier.",
			wait = 2.5,
			anim = nil,
			sound = nil,
		},
		{
			string = "But you suprised me.", 
			wait = 3.5, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "And now I would like you to leave. You understand, right pal?", 
			wait = 3.5, 
			anim = nil, 
			sound = nil, 
		},
		{
			string = "This is no place for an old man like you.", 
			wait = 3.5, 
			anim = nil, 
			sound = nil, 
		},
	}

        inst.components.maxwelltalker.speeches.ADVENTURE_2 =
	{		
		delay = 2,
	    voice = "dontstarve/maxwell/talk_LP_world2",
		appearanim = "appear2",
		idleanim= "idle2_loop",
		dialogpreanim = "dialog2_pre",
		dialoganim="dialog2_loop",
		dialogpostanim = "dialog2_pst",
		disappearanim = "disappear2",
		disableplayer = true,
		skippable = true,
		{
			string = "Well would you look at that.",
			wait = 3,
			anim = nil,
			sound = nil,
		},
		{
			string = "A man as old as yourself managed to complete the first challenge.", 
			wait = 3.5, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "You are full of mysteries, aren't you?.", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "But that was only the beginning.", 
			wait = 2.5, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "Turn back now, if you want to live.", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
	}

        inst.components.maxwelltalker.speeches.ADVENTURE_4 =
	{		
		delay = 2,
	    voice = "dontstarve/maxwell/talk_LP_world4",
		appearanim = "appear4",
		idleanim= "idle4_loop",
		dialogpreanim = "dialog4_pre",
		dialoganim="dialog4_loop",
		dialogpostanim = "dialog4_pst",
		disappearanim = "disappear4",
		disableplayer = true,
		skippable = true,
		{
			string = "Why do you continue?",
			wait = 2,
			anim = nil,
			sound = nil,
		},
		{
			string = "You seemed like a smart man...", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "but I see I was wrong.", 
			wait = 3.5, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "Prove me not wrong! Turn around, while you still can!", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
	}

        inst.components.maxwelltalker.speeches.ADVENTURE_TWOLANDS =
	{		
		delay = 2,
	    voice = "dontstarve/maxwell/talk_LP_world4",
		appearanim = "appear4",
		idleanim= "idle4_loop",
		dialogpreanim = "dialog4_pre",
		dialoganim="dialog4_loop",
		dialogpostanim = "dialog4_pst",
		disappearanim = "disappear4",
		disableplayer = true,
		skippable = true,
		{
			string = "How?!",
			wait = 2,
			anim = nil,
			sound = nil,
		},
		{
			string = "You are ruining EVERYTHING!", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "You! And that stupid hat of yours!", 
			wait = 3.5, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "You will regret coming any further...", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
	}

        inst.components.maxwelltalker.speeches.ADVENTURE_5 =
	{		
		delay = 2,
	    voice = "dontstarve/maxwell/talk_LP_world5",
		appearanim = "appear5",
		idleanim= "idle5_loop",
		dialogpreanim = "dialog5_pre",
		dialoganim="dialog5_loop",
		dialogpostanim = "dialog5_pst",
		disappearanim = "disappear5",
		disableplayer = true,
		skippable = true,
		{
			string = "You...",
			wait = 2,
			anim = nil,
			sound = nil,
		},
		{
			string = "you... pathetic, little worm!", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "I WILL TURN YOU INTO DUST!", 
			wait = 3.5, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "You, who dare invoke the wrath of the Great Maxwell!", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "This is the end. YOUR end!", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "You will come no further...", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
	}
    end
end


  
AddPrefabPostInit("maxwellintro", ModMaxwellIntro)
-- add tradable component to various gear
function HF_addtradablecomponenttoprefab(inst)
	if not inst.components.tradable then
		inst:AddComponent("tradable")
	end
end
AddPrefabPostInit("gears", HF_addtradablecomponenttoprefab)

AddPrefabPostInit("rabbit", HF_addtradablecomponenttoprefab)

STRINGS.CHARACTER_TITLES.wil = " The Inventor"
STRINGS.CHARACTER_NAMES.wil = "William J. Danninghat"
STRINGS.CHARACTER_DESCRIPTIONS.wil = "*Brains over brawn\n*Has a terrifying problem... and tappy shoes\n*Invents stuff and things"
STRINGS.CHARACTER_QUOTES.wil = "\"This land is full of unimaginable wonders! How splendid! \""
--------------------------------------------------------------------
--STRINGS.CHARACTERS.WIL = {}
--STRINGS.CHARACTERS.WIL.DESCRIBE = {}
STRINGS.CHARACTERS.WIL=require "speech_william"

table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "wil")

AddModCharacter("wil")
AddPrefabPostInit("gears", HF_addtradablecomponenttoprefab)
AddPrefabPostInit("rabbit", HF_addtradablecomponenttoprefab)
AddPrefabPostInit("maxwellintro", ModMaxwellIntro)